- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QSplitter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qsplitter.h.

`#include <qsplitter.h>`

Inheritance diagram for QSplitter:
[legend]

List of all members.

## Signals
void | splitterMoved (int pos, int index)
## Public Member Functions
| QSplitter (QWidget *parent=0)
| QSplitter (Qt::Orientation, QWidget *parent=0)
| ~QSplitter ()
void | addWidget (QWidget *widget)
void | insertWidget (int index, QWidget *widget)
void | setOrientation (Qt::Orientation)
Qt::Orientation | orientation () const
void | setChildrenCollapsible (bool)
bool | childrenCollapsible () const
void | setCollapsible (int index, bool)
bool | isCollapsible (int index) const
void | setOpaqueResize (bool opaque=true)
bool | opaqueResize () const
void | refresh ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
QList< int > | sizes () const
void | setSizes (const QList< int > &list)
QByteArray | saveState () const
bool | restoreState (const QByteArray &state)
int | handleWidth () const
void | setHandleWidth (int)
int | indexOf (QWidget *w) const
QWidget * | widget (int index) const
int | count () const
void | getRange (int index, int *, int *) const
QSplitterHandle * | handle (int index) const
void | setStretchFactor (int index, int stretch)
## Protected Member Functions
virtual QSplitterHandle * | createHandle ()
void | childEvent (QChildEvent *)
bool | event (QEvent *)
void | resizeEvent (QResizeEvent *)
void | changeEvent (QEvent *)
void | moveSplitter (int pos, int index)
void | setRubberBand (int position)
int | closestLegalPosition (int, int)
## Properties
Qt::Orientation | orientation
bool | opaqueResize
int | handleWidth
bool | childrenCollapsible
## Friends
class | QSplitterHandle

## Constructor & Destructor Documentation

QSplitter | ( | QWidget * | parent = `0` | ) | `[explicit]`

QSplitter | ( | Qt::Orientation | ,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QSplitter | ( |  | ) |

## Member Function Documentation

void addWidget | ( | QWidget * | widget | ) |

Search for all occurrences

void insertWidget | ( | int | index,
|  | QWidget * | widget
| ) |  |

Search for all occurrences

void setOrientation | ( | Qt::Orientation |  | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void setChildrenCollapsible | ( | bool |  | ) |

Search for all occurrences

bool childrenCollapsible | ( |  | ) | const

Search for all occurrences

void setCollapsible | ( | int | index,
|  | bool |
| ) |  |

Search for all occurrences

bool isCollapsible | ( | int | index | ) | const

Search for all occurrences

void setOpaqueResize | ( | bool | opaque = `true` | ) |

Search for all occurrences

bool opaqueResize | ( |  | ) | const

Search for all occurrences

void refresh | ( |  | ) |

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QFrame.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QList<int> sizes | ( |  | ) | const

Search for all occurrences

void setSizes | ( | const QList< int > & | list | ) |

Search for all occurrences

QByteArray saveState | ( |  | ) | const

Search for all occurrences

bool restoreState | ( | const QByteArray & | state | ) |

Search for all occurrences

int handleWidth | ( |  | ) | const

Search for all occurrences

void setHandleWidth | ( | int |  | ) |

Search for all occurrences

int indexOf | ( | QWidget * | w | ) | const

Search for all occurrences

QWidget* widget | ( | int | index | ) | const

Search for all occurrences

int count | ( |  | ) | const

Search for all occurrences

void getRange | ( | int | index,
|  | int * | ,
|  | int * |
| ) |  | const

Search for all occurrences

QSplitterHandle* handle | ( | int | index | ) | const

Search for all occurrences

void setStretchFactor | ( | int | index,
|  | int | stretch
| ) |  |

Search for all occurrences

void splitterMoved | ( | int | pos,
|  | int | index
| ) |  | `[signal]`

Search for all occurrences

virtual QSplitterHandle* createHandle | ( |  | ) | `[protected, virtual]`

Search for all occurrences

void childEvent | ( | QChildEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

void moveSplitter | ( | int | pos,
|  | int | index
| ) |  | `[protected]`

Search for all occurrences

void setRubberBand | ( | int | position | ) | `[protected]`

Search for all occurrences

int closestLegalPosition | ( | int | ,
|  | int |
| ) |  | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QSplitterHandle `[friend]`

Search for all occurrences

Definition at line 147 of file qsplitter.h.

## Property Documentation

Qt::Orientation orientation `[read, write]`

Search for all occurrences

Definition at line 66 of file qsplitter.h.

bool opaqueResize `[read, write]`

Search for all occurrences

Definition at line 67 of file qsplitter.h.

int handleWidth `[read, write]`

Search for all occurrences

Definition at line 68 of file qsplitter.h.

bool childrenCollapsible `[read, write]`

Search for all occurrences

Definition at line 69 of file qsplitter.h.

The documentation for this class was generated from the following file:

- QtGui/qsplitter.h

QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter
QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter QSplitter